GBDK 2020 Docs API Documentation for GBDK 2020

Data Structures | Macros | Typedefs | Functions | Variables
metasprites.h File Reference

Go to the source code of this file.

## Data Structures
struct | metasprite_t

## Macros
#define | metasprite_end -128

## Typedefs
typedef struct metasprite_t | metasprite_t

## Functions
UBYTE | move_metasprite (const metasprite_t *metasprite, UINT8 base_tile, UINT8 base_sprite, UINT8 x, UINT8 y)
UBYTE | move_metasprite_vflip (const metasprite_t *metasprite, UINT8 base_tile, UINT8 base_sprite, UINT8 x, UINT8 y)
UBYTE | move_metasprite_hflip (const metasprite_t *metasprite, UINT8 base_tile, UINT8 base_sprite, UINT8 x, UINT8 y)
UBYTE | move_metasprite_hvflip (const metasprite_t *metasprite, UINT8 base_tile, UINT8 base_sprite, UINT8 x, UINT8 y)
void | hide_metasprite (const metasprite_t *metasprite, UINT8 base_sprite)

## Variables
const void * | __current_metasprite
UBYTE | __current_base_tile
UBYTE | __render_shadow_OAM

## Macro Definition Documentation

## ◆ metasprite_end

#define metasprite_end -128

## Typedef Documentation

## ◆ metasprite_t

typedef struct metasprite_t metasprite_t

metasprite item description

## Function Documentation

## ◆ move_metasprite()

UBYTE move_metasprite | ( | const metasprite_t * | metasprite,
|  | UINT8 | base_tile,
|  | UINT8 | base_sprite,
|  | UINT8 | x,
|  | UINT8 | y
| ) |  |
| inline

Moves metasprite to the absolute position x and y, allocating hardware sprites from base_sprite using tiles from bast_tile

Parameters

  metasprite | metasprite description
  base_tile | start tile where tiles for that metasprite begin
  base_sprite | start hardware sprite
  x | absolute x coordinate of the sprite
  y | absolute y coordinate of the sprite

Returns
  number of hardware sprites used to draw this metasprite

## ◆ move_metasprite_vflip()

UBYTE move_metasprite_vflip | ( | const metasprite_t * | metasprite,
|  | UINT8 | base_tile,
|  | UINT8 | base_sprite,
|  | UINT8 | x,
|  | UINT8 | y
| ) |  |
| inline

## ◆ move_metasprite_hflip()

UBYTE move_metasprite_hflip | ( | const metasprite_t * | metasprite,
|  | UINT8 | base_tile,
|  | UINT8 | base_sprite,
|  | UINT8 | x,
|  | UINT8 | y
| ) |  |
| inline

## ◆ move_metasprite_hvflip()

UBYTE move_metasprite_hvflip | ( | const metasprite_t * | metasprite,
|  | UINT8 | base_tile,
|  | UINT8 | base_sprite,
|  | UINT8 | x,
|  | UINT8 | y
| ) |  |
| inline

## ◆ hide_metasprite()

void hide_metasprite | ( | const metasprite_t * | metasprite,
|  | UINT8 | base_sprite
| ) |  |
| inline

Hides metasprite from screen

Parameters

  metasprite | metasprite description
  base_sprite | start hardware sprite

## Variable Documentation

## ◆ __current_metasprite

const void* __current_metasprite
| extern

## ◆ __current_base_tile

UBYTE __current_base_tile
| extern

## ◆ __render_shadow_OAM

UBYTE __render_shadow_OAM
| extern